Subject: Re: 2.6.22 flash boot

From: Sergei Shtylyov <[email-masked]>
Date: Fri, 13 Jul 2007 23:48:57 +0400

Hello.

Marc Leeman wrote:

> With the release of the 2.6.22, our boards didn't boot anymore. I traced
> the change back to 2.6.21-git10/2.6.21-git11. 

> The reason they didn't boot was that the kernel  didn't detect the flash
> where the root filesystem is stored on. The boards boot without an
> initrd, directly from flash.

> A file was removed (rom.c) and mentioned as obsolete in the ChangeLog.

[...]

> Am I missing something here?

    It's been removed as conflicting with the new of_device probing code.
You can either register the "rom" device explicitly in your platform code, or 
put it on some bus below the ones specified to of_platform_device_probe() -- 
by your platform code again...

WBR, Sergei